Bug 219905 - libtiff static libraries not present after install libtiff-devel on FC6
libtiff static libraries not present after install libtiff-devel on FC6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-16 01:07 EST by Douglas Campbell
Modified: 2013-07-02 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.8.2-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 04:28:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Campbell 2006-12-16 01:07:19 EST
Description of problem:
libtiff-devel deploys neither static library libtiff.a nor libtiffxx.a


Version-Release number of selected component (if applicable):


How reproducible:
Every time (uninstalling/reinstalling libtiff-devel doesn't cure problem)
Problem occurs on both i386 and x86_64 systems.

Steps to Reproduce:
1. yum install libtiff-devel
2.
3.
  
Actual results:
After successful install, examination of /usr/lib (on i386 and x86_64) shows no
libtiff.a nor libtiffxx.a present, and examination of /usr/lib64 on x86_64
systems show no libtiff.a nor libtiffxx.a present.

Expected results:
libtiff.a and libtiffxx.a present in both the aforementioned areas.

Additional info:
Temporary workaround is to download correct version libtiff sources from
libtiff.org, build 32 bits under FC6, and to copy the libtiff.a and libtiffxx.a
elements built into the /usr/lib directory; then clean/build 64 bit (under
x86_64) and copy the .a's into /usr/lib64 directory.

The standard configured build provided by libtiff.org builds the .a files.
Comment 1 Tom Lane 2007-07-19 22:05:22 EDT
libtiff-static package created as of current F7 testing release, if that helps you any.
Comment 2 Douglas Campbell 2007-07-20 01:21:52 EDT
Thank you for the fc7 information.  I'm about to install it on an x86-64 system
and test.
Comment 3 Fedora Update System 2007-07-20 15:30:06 EDT
libtiff-3.8.2-8.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-09-25 04:28:06 EDT
libtiff-3.8.2-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.